(function ($) {
  Drupal.behaviors.epub = {
    attach: function (context) {
      Book.getMetadata().then(function(meta){
        if (meta.spread == 'none') {
          //Book.settings.fixedLayout = true;
          Book.settings.spreads = false;
        } else {
          //add margin?
        }
        document.title = meta.bookTitle+" – "+meta.creator;
      });
      Book.getToc().then(function(toc){
        $('#toc-container').html(Drupal.behaviors.epub.generateTocItems('', toc, 1, 'epub'));
        $('#toc-container').find("a").on("click", function(event){
          var url = this.getAttribute('href');
          Book.goto(url);
          event.preventDefault();
        });
      });
      Book.ready.all.then(function(){
        document.getElementById("loader").style.display = "none";
      });
      Book.renderTo("render");
      Book.on("renderer:chapterDisplayed", function() {
        //var newHeight = $('html', $('#ebook iframe')[0].contentDocument).height();
        //var viewport = $('#ebook iframe').contents().find('meta[name="viewport"]').attr('content');
        //var regex = /=(\d*)/;
        //var vp = viewport.match(/.* (width=(.*)) .*/);;
        //console.log(newHeight);
        //$('#ebook iframe').height(newHeight);
      })
    },
    resizeIframe: function(target) {
      var $myIframe = $('#ebook iframe');
      var myIframe = $myIframe[0];
      var MutationObserver = window.MutationObserver || window.WebKitMutationObserver;

      myIframe.addEventListener('load', function() {
        var hash = myIframe.contentWindow.location.hash;
        setIframeHeight();
        var target = myIframe.contentDocument.body;
        var observer = new MutationObserver(function(mutations) {
          setIframeHeight();
        });
        var config = {
          attributes: true,
          childList: true,
          characterData: true,
          subtree: true
        };
        observer.observe(target, config);
      });

      function setIframeHeight() {
        $myIframe.height('auto');
        var newHeight = $('html', myIframe.contentDocument).height();
        $myIframe.height(newHeight);
        //$myIframe.attr('src', myIframe.contentWindow.location.href);
        console.log( myIframe.contentWindow.location.href);
      }
    },
    generateTocItems: function(contentsPath, toc, level, target) {
      var container = document.createElement("ul");
      if(!level) level = 1;
      toc.forEach(function(chapter) {
        var listitem = document.createElement("li"),
            link = document.createElement("a");
        var subitems;
        listitem.id = "toc-"+chapter.id;
        link.textContent = chapter.label;
        link.href = contentsPath+chapter.href;
        link.target = target;
        link.classList.add('toc_link');
        if(chapter.subitems) {
          level++;
          subitems = Drupal.behaviors.epub.generateTocItems(contentsPath, chapter.subitems, level, target);
          listitem.appendChild(subitems);
        }
        listitem.appendChild(link);
        container.appendChild(listitem);
      });
      return container;
    }
  };
})(jQuery);
